Main

General UI, network, and configuration endpoints.

UI V3 Current Version

get

Get the current UI version.

Responses
chevron-right
200

Successful response.

application/json
lateststringOptional

UI current version

leaststringOptional

Minimum UI version number that users can use

get
/main/version
200

Successful response.

UI RPCs

get

Get the RPC endpoints used by the UI.

Responses
chevron-right
200

Successful response.

application/json
objectOptional
get
/main/rpcs
200

Successful response.

Chain Time

get

Get the chain time offset relative to local UTC time.

Responses
chevron-right
200

Successful response.

application/json
offsetintegerOptional

local utc time - chain time

get
/main/chain-time
200

Successful response.

TVL and 24-Hour Volume

get

Get total value locked and 24-hour volume statistics.

Responses
chevron-right
200

Successful response.

application/json
tvlintegerOptional

all pool TVL

volume24integerOptional

24 hour volume

get
/main/info
200

Successful response.

RAY Stake Pools

get

Get RAY stake pool data.

Responses
chevron-right
200

Successful response.

application/json
objectOptional
get
/main/stake-pools
200

Successful response.

Migrate LP Pool List

get

Get LP pools with migration guidance.

Responses
chevron-right
200

Successful response.

application/json
namestringOptional

pool symbol

ammIdstringOptional

pool id

lpMintstringOptional

amm pool LP mint

farmIdsstring[]Optional

farm pool id

clmmIdstringOptional

pool id

defaultPriceMinnumberOptional

defaultPriceMin

defaultPriceMaxnumberOptional

defaultPriceMax

get
/main/migrate-lp
200

Successful response.

Transaction Auto Fee

get

Get estimated on-chain fees based on recent transactions.

Responses
chevron-right
200

Successful response.

application/json
get
/main/auto-fee
200

Successful response.

CLMM Config

get

Get the CLMM configs allowed by the UI when creating a pool.

Responses
chevron-right
200

Successful response.

application/json
idstringOptional

config id

indexnumberOptional

config id pda index

protocolFeeRatenumberOptional

protocol fee rate

tradeFeeRatenumberOptional

trade fee rate

tickSpacingnumberOptional

tick spacing

fundFeeRatenumberOptional

fund fee rate

defaultRangenumberOptional

default range

defaultRangePointnumber[]Optional

default range point

get
/main/clmm-config
200

Successful response.

CPMM Config

get

Get the CPMM configs allowed by the UI when creating a pool.

Responses
chevron-right
200

Successful response.

application/json
idstringOptional

config id

indexnumberOptional

config id pda index

protocolFeeRatenumberOptional

protocol fee rate

tradeFeeRatenumberOptional

trade fee rate

fundFeeRatenumberOptional

fund fee rate

createPoolFeestringOptional

create pool fee

get
/main/cpmm-config
200

Successful response.

Mint Filter Config

get

Get the mint filter configs allowed by the UI when creating a pool.

Responses
chevron-right
200

Successful response.

application/json
get
/main/mint-filter-config
200

Successful response.

Last updated

Was this helpful?